<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::MeshCoP::Dataset Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/d83/classThread_1_1MeshCoP_1_1Dataset.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d1/de0/classThread_1_1MeshCoP_1_1Dataset-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::MeshCoP::Dataset Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a32f049f8483850d8eb74d7fcaf5f84bd"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9">kMaxSize</a> = 256, 
<br />
&#160;&#160;<b>kMaxValueSize</b> = 16
<br />
 }</td></tr>
<tr class="separator:a32f049f8483850d8eb74d7fcaf5f84bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3fd5a48abf6d35b95bb310268291831a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3fd5a48abf6d35b95bb310268291831a">Dataset</a> (const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType)</td></tr>
<tr class="memdesc:a3fd5a48abf6d35b95bb310268291831a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the object.  <a href="#a3fd5a48abf6d35b95bb310268291831a">More...</a><br /></td></tr>
<tr class="separator:a3fd5a48abf6d35b95bb310268291831a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a8d126f604b8dbedb7128c9292480f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a8d126f604b8dbedb7128c9292480f9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a8a8d126f604b8dbedb7128c9292480f9">Clear</a> (void)</td></tr>
<tr class="memdesc:a8a8d126f604b8dbedb7128c9292480f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>. <br /></td></tr>
<tr class="separator:a8a8d126f604b8dbedb7128c9292480f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3258521bf66915fc5da53679c867e233"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233">Get</a> (<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType)</td></tr>
<tr class="memdesc:a3258521bf66915fc5da53679c867e233"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the TLV.  <a href="#a3258521bf66915fc5da53679c867e233">More...</a><br /></td></tr>
<tr class="separator:a3258521bf66915fc5da53679c867e233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9802645864aa9d277c99154f884d48d3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a9802645864aa9d277c99154f884d48d3">Get</a> (<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType) const </td></tr>
<tr class="memdesc:a9802645864aa9d277c99154f884d48d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the TLV.  <a href="#a9802645864aa9d277c99154f884d48d3">More...</a><br /></td></tr>
<tr class="separator:a9802645864aa9d277c99154f884d48d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b1de5d24be05445bf6cf41ec93a0ee5"><td class="memItemLeft" align="right" valign="top">const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a0b1de5d24be05445bf6cf41ec93a0ee5">GetBytes</a> (void) const </td></tr>
<tr class="memdesc:a0b1de5d24be05445bf6cf41ec93a0ee5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the byte representation of the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>.  <a href="#a0b1de5d24be05445bf6cf41ec93a0ee5">More...</a><br /></td></tr>
<tr class="separator:a0b1de5d24be05445bf6cf41ec93a0ee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f89b7abd03424583a830b5acd8fed3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4f89b7abd03424583a830b5acd8fed3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#af4f89b7abd03424583a830b5acd8fed3">Get</a> (<a class="el" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset) const </td></tr>
<tr class="memdesc:af4f89b7abd03424583a830b5acd8fed3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method converts the TLV representation to structure representation. <br /></td></tr>
<tr class="separator:af4f89b7abd03424583a830b5acd8fed3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bf2672f12591565bcbda0cf0f8bde98"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98">GetSize</a> (void) const </td></tr>
<tr class="memdesc:a7bf2672f12591565bcbda0cf0f8bde98"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> size in bytes.  <a href="#a7bf2672f12591565bcbda0cf0f8bde98">More...</a><br /></td></tr>
<tr class="separator:a7bf2672f12591565bcbda0cf0f8bde98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2576874faa1595dcae546fa8cd2c70f3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a2576874faa1595dcae546fa8cd2c70f3">GetTimestamp</a> (void) const </td></tr>
<tr class="memdesc:a2576874faa1595dcae546fa8cd2c70f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a reference to the <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. ">Timestamp</a>.  <a href="#a2576874faa1595dcae546fa8cd2c70f3">More...</a><br /></td></tr>
<tr class="separator:a2576874faa1595dcae546fa8cd2c70f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ac8ee63c0679525bb24ab99900c0fb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ac8ee63c0679525bb24ab99900c0fb7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a6ac8ee63c0679525bb24ab99900c0fb7">SetTimestamp</a> (const <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> &amp;aTimestamp)</td></tr>
<tr class="memdesc:a6ac8ee63c0679525bb24ab99900c0fb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. ">Timestamp</a> value. <br /></td></tr>
<tr class="separator:a6ac8ee63c0679525bb24ab99900c0fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbbce97d87391aadc3e3223db67b59aa"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa">Compare</a> (const <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;aCompare) const </td></tr>
<tr class="memdesc:adbbce97d87391aadc3e3223db67b59aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method compares this dataset to another based on the timestamp.  <a href="#adbbce97d87391aadc3e3223db67b59aa">More...</a><br /></td></tr>
<tr class="separator:adbbce97d87391aadc3e3223db67b59aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525029b5a6e6625dbe92863f9485d80d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d">Set</a> (const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:a525029b5a6e6625dbe92863f9485d80d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets a TLV in the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>.  <a href="#a525029b5a6e6625dbe92863f9485d80d">More...</a><br /></td></tr>
<tr class="separator:a525029b5a6e6625dbe92863f9485d80d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68ef44c6035a8e52d49f523226fbadfe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68ef44c6035a8e52d49f523226fbadfe"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, uint16_t aOffset, uint8_t aLength)</td></tr>
<tr class="separator:a68ef44c6035a8e52d49f523226fbadfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f1ec06f80bfda8156c036f9e7a187b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f1ec06f80bfda8156c036f9e7a187b3"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;aDataset)</td></tr>
<tr class="separator:a9f1ec06f80bfda8156c036f9e7a187b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0666ed38c0b8a48b1c08fdfda8151f89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0666ed38c0b8a48b1c08fdfda8151f89"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset)</td></tr>
<tr class="separator:a0666ed38c0b8a48b1c08fdfda8151f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7c0995ee6a28cc5f51fb25193337ba1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7c0995ee6a28cc5f51fb25193337ba1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Remove</b> (<a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType)</td></tr>
<tr class="separator:ac7c0995ee6a28cc5f51fb25193337ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a32f049f8483850d8eb74d7fcaf5f84bd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9"></a>kMaxSize&#160;</td><td class="fielddoc">
<p>Maximum size of MeshCoP <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> (bytes) </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3fd5a48abf6d35b95bb310268291831a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::MeshCoP::Dataset::Dataset </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a>&#160;</td>
          <td class="paramname"><em>aType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This constructor initializes the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aType</td><td>The type of the dataset, active or pending. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adbbce97d87391aadc3e3223db67b59aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::MeshCoP::Dataset::Compare </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;&#160;</td>
          <td class="paramname"><em>aCompare</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method compares this dataset to another based on the timestamp. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aCompare</td><td>A reference to the timestamp to compare.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">-1</td><td>if <code>aCompare</code> is older than this dataset. </td></tr>
    <tr><td class="paramname">0</td><td>if <code>aCompare</code> is equal to this dataset. </td></tr>
    <tr><td class="paramname">1</td><td>if <code>aCompare</code> is newer than this dataset. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_cgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a2576874faa1595dcae546fa8cd2c70f3" title="This method returns a reference to the Timestamp. " alt="" coords="246,40,429,79"/>
<area shape="rect" id="node13" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aa13f4aa7fb7852e57b3466feff2a4e99" title="This method compares this timestamp to another. " alt="" coords="236,103,439,141"/>
<area shape="rect" id="node3" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233" title="This method returns a pointer to the TLV. " alt="" coords="487,47,698,72"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="1172,5,1327,44"/>
<area shape="rect" id="node5" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="746,68,901,107"/>
<area shape="rect" id="node6" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="949,68,1104,107"/>
<area shape="rect" id="node12" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="949,131,1104,169"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="1155,131,1344,156"/>
<area shape="rect" id="node8" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1152,180,1347,205"/>
<area shape="rect" id="node9" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="1167,229,1331,255"/>
<area shape="rect" id="node11" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="1172,68,1327,107"/>
<area shape="rect" id="node10" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1395,229,1593,255"/>
<area shape="rect" id="node14" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aee593abfb8d266dcfd49f4c910dd8d07" title="This method returns the Seconds value. " alt="" coords="491,161,694,200"/>
<area shape="rect" id="node15" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a0f899f485f785af3aec8e8ad4f29257a" title="This method returns the Ticks value. " alt="" coords="491,99,694,137"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_icgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_icgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_icgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_adbbce97d87391aadc3e3223db67b59aa_icgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98" title="This method returns the Dataset size in bytes. " alt="" coords="236,5,419,44"/>
<area shape="rect" id="node3" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="467,5,628,44"/>
<area shape="rect" id="node4" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="676,5,932,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3258521bf66915fc5da53679c867e233"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> * Thread::MeshCoP::Dataset::Get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a>&#160;</td>
          <td class="paramname"><em>aType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns a pointer to the TLV. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the TLV or NULL if none is found. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_cgraph">
<area shape="rect" id="node2" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="691,5,845,44"/>
<area shape="rect" id="node3" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="265,68,420,107"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="468,68,623,107"/>
<area shape="rect" id="node10" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="468,131,623,169"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="673,131,863,156"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="671,180,865,205"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="686,229,850,255"/>
<area shape="rect" id="node9" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="691,68,845,107"/>
<area shape="rect" id="node8" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="913,229,1111,255"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_icgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_icgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_icgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a3258521bf66915fc5da53679c867e233_icgraph">
<area shape="rect" id="node2" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a8ab1b7f1b2f78a2bebeeb91872a14b6f" title="This method sets the Joiner UDP Port. " alt="" coords="265,136,478,175"/>
<area shape="rect" id="node5" href="../../df/d4f/group__config-general.html#ga2899af0b50c9d6aacec44610131628ab" title="This function gets the Active Operational Dataset. " alt="" coords="304,413,440,439"/>
<area shape="rect" id="node7" href="../../df/d4f/group__config-general.html#gaeaf14b2a1b8e9828ba7b403f4c616e97" title="This function gets the Pending Operational Dataset. " alt="" coords="297,335,446,360"/>
<area shape="rect" id="node8" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a2576874faa1595dcae546fa8cd2c70f3" title="This method returns a reference to the Timestamp. " alt="" coords="280,521,463,560"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1515,539,1735,564"/>
<area shape="rect" id="node43" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d" title="This method sets a TLV in the Dataset. " alt="" coords="267,772,477,797"/>
<area shape="rect" id="node45" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a0b1de5d24be05445bf6cf41ec93a0ee5" title="This method returns a pointer to the byte representation of the Dataset. " alt="" coords="1269,863,1452,901"/>
<area shape="rect" id="node3" href="../../da/d96/group__config-router.html#ga1a81bcce900d21d72fe374af1f756956" title="Set the Joiner UDP Port. " alt="" coords="1042,5,1180,31"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3071,208,3226,247"/>
<area shape="rect" id="node6" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="562,299,702,337"/>
<area shape="rect" id="node9" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#af4f89b7abd03424583a830b5acd8fed3" title="This method converts the TLV representation to structure representation. " alt="" coords="526,744,738,769"/>
<area shape="rect" id="node10" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa" title="This method compares this dataset to another based on the timestamp. " alt="" coords="541,579,724,617"/>
<area shape="rect" id="node11" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98" title="This method returns the Dataset size in bytes. " alt="" coords="786,713,969,752"/>
<area shape="rect" id="node14" href="../../df/d94/group__core-mle-core.html#ga04a5d0693da52823a013a1808825344a" title="This method appends a Active Timestamp TLV to a message. " alt="" coords="545,464,720,503"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="790,305,965,344"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1253,312,1467,337"/>
<area shape="rect" id="node36" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1544,476,1706,515"/>
<area shape="rect" id="node12" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1819,713,1980,752"/>
<area shape="rect" id="node13" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2064,713,2319,752"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1017,197,1205,236"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1517,135,1733,173"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2614,476,2795,501"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1530,197,1720,236"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1544,413,1706,452"/>
<area shape="rect" id="node19" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2850,424,3023,463"/>
<area shape="rect" id="node20" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2894,487,2979,512"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1821,301,1978,327"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1801,247,1998,272"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1788,197,2011,223"/>
<area shape="rect" id="node23" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2140,301,2243,327"/>
<area shape="rect" id="node24" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2367,208,2559,247"/>
<area shape="rect" id="node25" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2607,208,2802,247"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2126,247,2257,272"/>
<area shape="rect" id="node29" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2136,197,2247,223"/>
<area shape="rect" id="node31" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1797,591,2002,629"/>
<area shape="rect" id="node33" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2081,141,2301,167"/>
<area shape="rect" id="node35" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2378,485,2548,524"/>
<area shape="rect" id="node37" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1819,528,1980,567"/>
<area shape="rect" id="node41" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1783,413,2016,452"/>
<area shape="rect" id="node38" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2109,579,2274,617"/>
<area shape="rect" id="node39" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2381,619,2545,657"/>
<area shape="rect" id="node40" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2393,556,2533,595"/>
<area shape="rect" id="node42" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2126,373,2257,399"/>
<area shape="rect" id="node44" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a6ac8ee63c0679525bb24ab99900c0fb7" title="This method sets the Timestamp value. " alt="" coords="541,793,724,832"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9802645864aa9d277c99154f884d48d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> * Thread::MeshCoP::Dataset::Get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a>&#160;</td>
          <td class="paramname"><em>aType</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns a pointer to the TLV. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the TLV or NULL if none is found. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a9802645864aa9d277c99154f884d48d3_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a9802645864aa9d277c99154f884d48d3_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a9802645864aa9d277c99154f884d48d3_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a9802645864aa9d277c99154f884d48d3_cgraph">
<area shape="rect" id="node2" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="691,5,845,44"/>
<area shape="rect" id="node3" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="265,68,420,107"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="468,68,623,107"/>
<area shape="rect" id="node10" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="468,131,623,169"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="673,131,863,156"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="671,180,865,205"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="686,229,850,255"/>
<area shape="rect" id="node9" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="691,68,845,107"/>
<area shape="rect" id="node8" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="913,229,1111,255"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a0b1de5d24be05445bf6cf41ec93a0ee5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t* Thread::MeshCoP::Dataset::GetBytes </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a pointer to the byte representation of the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the byte representation of the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_cgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233" title="This method returns a pointer to the TLV. " alt="" coords="236,45,448,71"/>
<area shape="rect" id="node3" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="921,5,1076,44"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="496,68,651,107"/>
<area shape="rect" id="node5" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="699,68,853,107"/>
<area shape="rect" id="node11" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="699,131,853,169"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="904,131,1093,156"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="901,180,1096,205"/>
<area shape="rect" id="node8" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="917,229,1081,255"/>
<area shape="rect" id="node10" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="921,68,1076,107"/>
<area shape="rect" id="node9" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1144,229,1342,255"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_icgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_icgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_icgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a0b1de5d24be05445bf6cf41ec93a0ee5_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="236,5,398,44"/>
<area shape="rect" id="node3" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="446,5,701,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7bf2672f12591565bcbda0cf0f8bde98"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::MeshCoP::Dataset::GetSize </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> size in bytes. </p>
<dl class="section return"><dt>Returns</dt><dd>The <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> size in bytes. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_cgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a2576874faa1595dcae546fa8cd2c70f3" title="This method returns a reference to the Timestamp. " alt="" coords="481,267,664,305"/>
<area shape="rect" id="node13" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a6ac8ee63c0679525bb24ab99900c0fb7" title="This method sets the Timestamp value. " alt="" coords="236,159,419,197"/>
<area shape="rect" id="node14" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d" title="This method sets a TLV in the Dataset. " alt="" coords="467,192,677,217"/>
<area shape="rect" id="node15" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa" title="This method compares this dataset to another based on the timestamp. " alt="" coords="236,324,419,363"/>
<area shape="rect" id="node3" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233" title="This method returns a pointer to the TLV. " alt="" coords="725,273,937,299"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="1411,216,1565,255"/>
<area shape="rect" id="node5" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="985,159,1140,197"/>
<area shape="rect" id="node6" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="1188,96,1343,135"/>
<area shape="rect" id="node12" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="1188,159,1343,197"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="1393,167,1583,192"/>
<area shape="rect" id="node8" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1391,117,1585,143"/>
<area shape="rect" id="node9" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="1406,5,1570,31"/>
<area shape="rect" id="node11" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="1411,55,1565,93"/>
<area shape="rect" id="node10" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1633,5,1831,31"/>
<area shape="rect" id="node16" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aa13f4aa7fb7852e57b3466feff2a4e99" title="This method compares this timestamp to another. " alt="" coords="471,329,673,368"/>
<area shape="rect" id="node17" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aee593abfb8d266dcfd49f4c910dd8d07" title="This method returns the Seconds value. " alt="" coords="730,325,933,364"/>
<area shape="rect" id="node18" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a0f899f485f785af3aec8e8ad4f29257a" title="This method returns the Ticks value. " alt="" coords="730,388,933,427"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_icgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_icgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_icgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a7bf2672f12591565bcbda0cf0f8bde98_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="236,5,398,44"/>
<area shape="rect" id="node3" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="446,5,701,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2576874faa1595dcae546fa8cd2c70f3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> * Thread::MeshCoP::Dataset::GetTimestamp </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns a reference to the <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. ">Timestamp</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. ">Timestamp</a>. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_cgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233" title="This method returns a pointer to the TLV. " alt="" coords="236,45,448,71"/>
<area shape="rect" id="node3" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="921,5,1076,44"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="496,68,651,107"/>
<area shape="rect" id="node5" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="699,68,853,107"/>
<area shape="rect" id="node11" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="699,131,853,169"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="904,131,1093,156"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="901,180,1096,205"/>
<area shape="rect" id="node8" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="917,229,1081,255"/>
<area shape="rect" id="node10" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="921,68,1076,107"/>
<area shape="rect" id="node9" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1144,229,1342,255"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_icgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_icgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_icgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a2576874faa1595dcae546fa8cd2c70f3_icgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#af4f89b7abd03424583a830b5acd8fed3" title="This method converts the TLV representation to structure representation. " alt="" coords="236,314,448,339"/>
<area shape="rect" id="node3" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa" title="This method compares this dataset to another based on the timestamp. " alt="" coords="251,603,434,642"/>
<area shape="rect" id="node4" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98" title="This method returns the Dataset size in bytes. " alt="" coords="496,603,679,642"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga04a5d0693da52823a013a1808825344a" title="This method appends a Active Timestamp TLV to a message. " alt="" coords="255,415,429,454"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="500,286,675,324"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="963,299,1177,324"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1254,463,1416,502"/>
<area shape="rect" id="node5" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1529,594,1690,632"/>
<area shape="rect" id="node6" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1774,594,2029,632"/>
<area shape="rect" id="node9" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="727,235,915,274"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1225,412,1445,438"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1227,122,1443,160"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2324,354,2505,379"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1240,184,1430,223"/>
<area shape="rect" id="node28" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1254,350,1416,388"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2560,300,2733,339"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2604,363,2688,388"/>
<area shape="rect" id="node14" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2781,167,2936,206"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1531,199,1688,224"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1511,100,1707,126"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1498,150,1721,175"/>
<area shape="rect" id="node17" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1850,199,1953,224"/>
<area shape="rect" id="node18" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2077,84,2269,123"/>
<area shape="rect" id="node19" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2317,84,2512,123"/>
<area shape="rect" id="node21" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1836,99,1967,124"/>
<area shape="rect" id="node23" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1846,148,1956,174"/>
<area shape="rect" id="node25" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1507,400,1711,439"/>
<area shape="rect" id="node27" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1791,50,2011,75"/>
<area shape="rect" id="node29" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2088,360,2258,399"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1529,526,1690,564"/>
<area shape="rect" id="node35" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1493,463,1726,502"/>
<area shape="rect" id="node32" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1819,503,1983,542"/>
<area shape="rect" id="node33" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2091,448,2255,487"/>
<area shape="rect" id="node34" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2103,511,2243,550"/>
<area shape="rect" id="node36" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1836,248,1967,274"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a525029b5a6e6625dbe92863f9485d80d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Dataset::Set </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> &amp;&#160;</td>
          <td class="paramname"><em>aTlv</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sets a TLV in the <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aTlv</td><td>A reference to the TLV.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully set the TLV. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Could not set the TLV due to insufficient buffer space. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_cgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_cgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_cgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_cgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233" title="This method returns a pointer to the TLV. " alt="" coords="264,99,475,124"/>
<area shape="rect" id="node3" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="949,5,1104,44"/>
<area shape="rect" id="node8" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="944,167,1108,192"/>
<area shape="rect" id="node10" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="949,216,1104,255"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#aa2f476effa6f74d304b38fd6280ede7d" title="This method returns a pointer to the next TLV. " alt="" coords="523,92,678,131"/>
<area shape="rect" id="node5" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="726,61,881,100"/>
<area shape="rect" id="node11" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="726,124,881,163"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="932,68,1121,93"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="929,117,1124,143"/>
<area shape="rect" id="node9" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1172,167,1370,192"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_icgraph.png" border="0" usemap="#d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_icgraph" alt=""/></div>
<map name="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_icgraph" id="d6/d83/classThread_1_1MeshCoP_1_1Dataset_a525029b5a6e6625dbe92863f9485d80d_icgraph">
<area shape="rect" id="node2" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#af4f89b7abd03424583a830b5acd8fed3" title="This method converts the TLV representation to structure representation. " alt="" coords="264,5,475,31"/>
<area shape="rect" id="node3" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a6ac8ee63c0679525bb24ab99900c0fb7" title="This method sets the Timestamp value. " alt="" coords="278,55,461,93"/>
<area shape="rect" id="node4" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98" title="This method returns the Dataset size in bytes. " alt="" coords="523,84,706,123"/>
<area shape="rect" id="node5" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="754,84,916,123"/>
<area shape="rect" id="node6" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="964,84,1219,123"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/thread/<a class="el" href="../../d6/d3c/meshcop__dataset_8hpp_source.html">meshcop_dataset.hpp</a></li>
<li>src/core/thread/<a class="el" href="../../dd/d00/meshcop__dataset_8cpp.html">meshcop_dataset.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>MeshCoP</b></li><li class="navelem"><a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
